'use strict';

require('colors');

module.exports = function (verbose) {
  var _this = this;

  /**
  * Verbose flag
  * @type {Boolean}
  */
  this.verbose = verbose;

  /**
   * Log message when verbose flag is enabled
   * @param {String} msg - message to log
   */
  this.log = function (msg) {
    if (_this.verbose) {
      console.log(msg);
    }
  };

  this.success = function (msg) {
    console.log('\nSUCCESS: '.green + '\n' + msg);
  };

  this.info = function (msg) {
    console.info('INFO: '.cyan + msg);
  };

  this.error = function (msg) {
    if (msg instanceof Object) {
      msg = JSON.stringify(msg, null, 2);
    }
    console.error('ERROR: '.red + msg);
  };

  this.warn = function (msg) {
    if (msg instanceof Object) {
      msg = JSON.stringify(msg, null, 2);
    }
    console.warn('WARNING: '.yellow + msg);
  };

  /**
   * Print message
   * @param {String} msg - message to print
   */
  this.print = function (msg) {
    console.log(msg);
  };
};